proofDisproof.h File Reference
`#include "osl/basic_type.h"`
`#include <cassert>`
`#include <iosfwd>`

Go to the source code of this file.

## Classes

class | osl::checkmate::ProofDisproof
| 証明数(proof number)と反証数(disproof number). More...
class | osl::ProofDisproof
| 証明数(proof number)と反証数(disproof number). More...

## Namespaces

namespace | osl
namespace | osl::checkmate

## Functions

bool | osl::checkmate::operator== (const ProofDisproof &l, const ProofDisproof &r)
bool | osl::checkmate::operator!= (const ProofDisproof &l, const ProofDisproof &r)
bool | osl::checkmate::operator< (const ProofDisproof &l, const ProofDisproof &r)
std::ostream & | osl::checkmate::operator<< (std::ostream &os, const ProofDisproof &proofDisproof)